KDE 4.7 PyKDE API Reference

- KDE's Python API

# MarbleControlBox Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

A widget class that contains advanced controls for a MarbleWidget.

This widget lets the user control an instance of MarbleWidget. The widget contains a ToolBox with 3 pages: a Navigation page with a search tool for cities and other names, a Legend page with a legend for the symbols on the map, and a Map View page with a choice of themes / datasets.

The Navigation page lets the user navigate around the globe by using buttons for panning and a slider for zooming. There is also a "Home" button that lets the user go back to a predefined point at the earth, not unlike the home page in a web browser. In addition there is a search tool that lets the user search for names of points of interest (cities, mountains, glaciers, etc).

The Legend page does not contain any controls, but displays a legend of the symbols that are displayed on the globe.

The Map View page gives the user a choice of different datasets to display, which can also be thought of as different visual themes. The default datasets are a standard Atlas view, a Night view, and a Satellite view.

See also:
  MarbleWidget

See also:
  MarbleNavigator

## Signals
| showMapWizard ()
| showUploadDialog ()
## Methods
| __init__ (self, QWidget parent=0)
Marble.CurrentLocationWidget | currentLocationWidget (self)
| selectTheme (self, QString a0)
| setCurrentLocationTabShown (self, bool show)
| setFileViewTabShown (self, bool show)
| setLegendTabShown (self, bool show)
| setMapViewTabShown (self, bool show)
| setMarbleWidget (self, Marble.MarbleWidget widget)
| setNavigationTabShown (self, bool show)
| setRoutingTabShown (self, bool show)
| setWorkOffline (self, bool offline)

## Signal Documentation

showMapWizard | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("showMapWizard()"), target_slot)`

showUploadDialog | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("showUploadDialog()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Construct a new MarbleControlBox

Parameters:

  | parent | the parent widget

Marble.CurrentLocationWidget currentLocationWidget | ( |  | self ) |

Provides access to the current location widget for session restoring

selectTheme | ( | self, |
|  | QString | a0
| ) |  |  |

setCurrentLocationTabShown | ( | self, |
|  | bool | show
| ) |  |  |

Control whether the Current Location tab is shown.

Parameters:

  | show | boolean that controls if the Current Location tab is shown.

setFileViewTabShown | ( | self, |
|  | bool | show
| ) |  |  |

Control whether the File View tab is shown.

Parameters:

  | show | boolean that controls if the File View tab is shown.

setLegendTabShown | ( | self, |
|  | bool | show
| ) |  |  |

Control whether the Legend tab is shown.

Parameters:

  | show | boolean that controls if the Legend tab is shown.

setMapViewTabShown | ( | self, |
|  | bool | show
| ) |  |  |

Control whether the Map View tab is shown.

Parameters:

  | show | boolean that controls if the Map View tab is shown.

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set the MarbleWidget to be controlled by this widget.

Parameters:

  | widget | the MarbleWidget to be controlled.

Sets a MarbleWidget so that it will be controlled by this widget. This call create all the connections of signals and slots that are necessary to have full control of the MarbleWidget, and thereby frees the programmer from doing it.

setNavigationTabShown | ( | self, |
|  | bool | show
| ) |  |  |

Control whether the Navigation tab is shown.

Parameters:

  | show | boolean that controls if the Navigation tab is shown.

setRoutingTabShown | ( | self, |
|  | bool | show
| ) |  |  |

Control whether the Routing tab is shown.

Parameters:

  | show | boolean that controls if the Routing tab is shown.

setWorkOffline | ( | self, |
|  | bool | offline
| ) |  |  |

Toggle offline mode of download manager and runners.